wxWidgets: wxMask Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxMask Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/bitmap.h>`

Inheritance diagram for wxMask:
[legend]

## Detailed Description

This class encapsulates a monochrome mask bitmap, where the masked area is black and the unmasked area is white.

When associated with a bitmap and drawn in a device context, the unmasked area of the bitmap will be drawn, and the masked area will not be drawn.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxBitmap, wxDC::Blit, wxMemoryDC

## Public Member Functions
| wxMask ()
| Default constructor. More...
| wxMask (const wxBitmap &bitmap, int index)
| Constructs a mask from a bitmap and a palette index that indicates the background. More...
| wxMask (const wxBitmap &bitmap)
| Constructs a mask from a monochrome bitmap. More...
| wxMask (const wxBitmap &bitmap, const wxColour &colour)
| Constructs a mask from a bitmap and a colour that indicates the background. More...
virtual | ~wxMask ()
| Destroys the wxMask object and the underlying bitmap data. More...
bool | Create (const wxBitmap &bitmap, int index)
| Constructs a mask from a bitmap and a palette index that indicates the background. More...
bool | Create (const wxBitmap &bitmap)
| Constructs a mask from a monochrome bitmap. More...
bool | Create (const wxBitmap &bitmap, const wxColour &colour)
| Constructs a mask from a bitmap and a colour that indicates the background. More...
wxBitmap | GetBitmap () const
| Returns the mask as a monochrome bitmap. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxMask() [1/4]

wxMask::wxMask | ( |  | ) |

Default constructor.

## ◆ wxMask() [2/4]

wxMask::wxMask | ( | const wxBitmap & | bitmap,
|  | int | index
| ) |  |

Constructs a mask from a bitmap and a palette index that indicates the background.

Not implemented for GTK.

Parameters

  bitmap | A valid bitmap.
  index | Index into a palette, specifying the transparency colour.

## ◆ wxMask() [3/4]

wxMask::wxMask | ( | const wxBitmap & | bitmap | ) |

Constructs a mask from a monochrome bitmap.

## ◆ wxMask() [4/4]

wxMask::wxMask | ( | const wxBitmap & | bitmap,
|  | const wxColour & | colour
| ) |  |

Constructs a mask from a bitmap and a colour that indicates the background.

## ◆ ~wxMask()

virtual wxMask::~wxMask | ( |  | ) |
| virtual

Destroys the wxMask object and the underlying bitmap data.

## Member Function Documentation

## ◆ Create() [1/3]

bool wxMask::Create | ( | const wxBitmap & | bitmap,
|  | int | index
| ) |  |

Constructs a mask from a bitmap and a palette index that indicates the background.

Not implemented for GTK.

Parameters

  bitmap | A valid bitmap.
  index | Index into a palette, specifying the transparency colour.

## ◆ Create() [2/3]

bool wxMask::Create | ( | const wxBitmap & | bitmap | ) |

Constructs a mask from a monochrome bitmap.

## ◆ Create() [3/3]

bool wxMask::Create | ( | const wxBitmap & | bitmap,
|  | const wxColour & | colour
| ) |  |

Constructs a mask from a bitmap and a colour that indicates the background.

## ◆ GetBitmap()

wxBitmap wxMask::GetBitmap | ( |  | ) | const

Returns the mask as a monochrome bitmap.

Currently this method is implemented in wxMSW, wxGTK and wxOSX.

Since
  2.9.5